Page MenuHomePhabricator

Add problematic German spam articles to Top Read blacklist
Closed, ResolvedPublic

Description

See parent ticket for context. As a short term fix for these spam pages we have a blacklist on the service layer.

For German the following articles should be filtered:

  • Tobias Sammet
  • Avantasia
  • Edguy

@Superbass and/or @Johan If there are additional spammer articles identified in German please post them on this ticket.

Once updated on the service, this will go into effect across Android and iOS immediately.

This should not prevent discussion of a more robust solution across languages, but will take the trash out quick.

Event Timeline

JMinor triaged this task as High priority.Nov 22 2019, 6:20 PM
JMinor created this task.
JMinor updated the task description. (Show Details)

That looks good, how long will it take until "Once updated on the service"?

Unfortunately because we're running into the weekend, the soonest would be Monday. Once I have a firm time I will post here.

The Task T239018 has been created to remove the function of the "Trending" functionality from the german APP after a survey on the german Wikipedia.

Change 552793 had a related patch set uploaded (by Joewalsh; owner: Joewalsh):
[mediawiki/services/wikifeeds@master] Add articles to excluded list for most read

https://gerrit.wikimedia.org/r/552793

Change 552793 merged by jenkins-bot:
[mediawiki/services/wikifeeds@master] Add articles to excluded list for most read

https://gerrit.wikimedia.org/r/552793

Change 552838 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[operations/deployment-charts@master] Update wikifeeds to 2019-11-25-144622-production

https://gerrit.wikimedia.org/r/552838

Change 552838 merged by jenkins-bot:
[operations/deployment-charts@master] Update wikifeeds to 2019-11-25-144622-production

https://gerrit.wikimedia.org/r/552838

Mholloway closed this task as Resolved.Nov 25 2019, 3:17 PM
Superbass reopened this task as Open.Dec 5 2019, 3:58 PM

There is another manipulated article: https://de.wikipedia.org/wiki/Pornhub

It's been heavily trickling in the mobile apps for weeks and has already been blacklisted in the desktop page views.

The case is a bit trickier than with Tobias Sammet and his bands, because the traffic is apparently inconspicuous, so it doesn't look the same every day. A manipulation could be carried out here more skillfully, with changing retrievals.

However, the subject of the article is neither in the news nor elsewhere particularly present, there is also no current event there that could explain this enormous interest. In addition, the website's operator is known for intensive SEO measures. After discussion in the Admin-Noticeboard we came to the conclusion that there has to be some manipulation and ask you to add the article to the blacklist just as already done with the desktop page views.

Change 554940 had a related patch set uploaded (by Joewalsh; owner: Joewalsh):
[mediawiki/services/wikifeeds@master] Update exclusion list

https://gerrit.wikimedia.org/r/554940

Change 554940 merged by jenkins-bot:
[mediawiki/services/wikifeeds@master] Update exclusion list

https://gerrit.wikimedia.org/r/554940

Change 554943 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[operations/deployment-charts@master] Update wikifeeds to 2019-12-05-202925-production

https://gerrit.wikimedia.org/r/554943

Change 554943 merged by jenkins-bot:
[operations/deployment-charts@master] Update wikifeeds to 2019-12-05-202925-production

https://gerrit.wikimedia.org/r/554943

JoeWalsh closed this task as Resolved.Dec 9 2019, 7:44 PM